/* Generated by powerful Codeforces Tool
 * Author: $%U%$
 * Time: $%Y%$-$%M%$-$%D%$ $%h%$:$%m%$
 **/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b){ return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b){ return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MOD = 998'244'353;

const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;

ll N;

void solve(){
    // Code goes here ...
    int l, r;
    cin >> N >> l >> r;
    l--;

    vector<ll> a(N);
    R(i, N) cin >> a[i];

    vector<ll> left, seg, right;

    F(i, 0, l) left.push_back(a[i]);
    F(i, l, r) seg.push_back(a[i]);
    F(i, r, N) right.push_back(a[i]);

    R::sort(left);
    R::sort(seg);
    R::reverse(seg);
    R::sort(right);

    // int lid = 0, rid = 0;

    ll lres = 0, rres = 0;
    R(i, r - l){
        if(ssize(left) > i) lres += min(left[i], seg[i]);
        else lres += seg[i];
        if(ssize(right) > i) rres += min(right[i], seg[i]);
        else rres += seg[i];
        // if(right.size() >= rid and right[rid] < seg[rid]) rid++;
    }

    cout << min(lres, rres) << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
